Bug Hunting Session
Bug 106283 - Registry settings are not read properly on Windows
Summary: Registry settings are not read properly on Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.2.7
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-02 19:26 UTC by Tamás Zolnai
Modified: 2017-03-13 17:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-03-02 19:26:44 UTC
Description:
On Windows we can set configuration by settings registry. However some settings are not imported related to online update.

Steps to Reproduce:
1. Create instdir/share/registry/data/registrymodifications.xcu
2. With the following content
<?xml version="1.0" encoding="UTF-8"?>
<oor:items xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <item oor:path="/org.openoffice.Office.Jobs/Jobs/org.openoffice.Office.Jobs:Job['UpdateCheck']/Arguments">
    <prop oor:name="AutoDownloadEnabled" oor:finalized="true">
      <value>false</value>
    </prop>
  </item>
  <item oor:path="/org.openoffice.Office.Jobs/Jobs/org.openoffice.Office.Jobs:Job['UpdateCheck']/Arguments">
    <prop oor:name="AutoCheckEnabled" oor:op="fuse" oor:type="xs:boolean" oor:finalized="true">
      <value>false</value>
    </prop>
  </item>
</oor:items>
3. Start LibreOffice and open Tools -> Options -> LibreOffice -> Online Update
4. 'Download update automatically' and 'Check for updates automatically' options which should be disabled.

Actual Results:  
Online update configuration are not read properly by LibreOffice. The mentioned two options are not disabled, but only the first one.

Expected Results:
Both online update setting should be disabled.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36
Comment 1 V Stuart Foote 2017-03-02 20:12:16 UTC
This is of course LibreOffice registry not the Windows OS.

I see the default C:\Program Files\LibreOffice 5\regsitry\onlineupdate.xcd which has the "AutoCheckEnabled" stanza set "true" with the "AutoDownloadEnabled" stanza set "false".

Adding a registry\data forlder and the registrymodifications.xcu indicated, and starting LibreOffice with clean profile does not toggle the "AutoCheckEnabled" to "false" as proposed.

Not clear to me about the relationship of the registry\data\*.xcu to the  registry\*.xcd -- but it does not work if it is supposed to. So to NEW.

@Tamás, assume you're poking at this, was there anything you need?

=-testing-=
Windows 8.1 Ent 64-bit en-US with
Version: 5.3.0.3 (x64)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; Layout Engine: new; 
Locale: en-US (en_US); Calc: group
Comment 2 Tamás Zolnai 2017-03-02 20:32:30 UTC
> @Tamás, assume you're poking at this, was there anything you need?

It was reported on a private channel, that online update settings can't be set via Windows registry. The example xcu file is a minimal test document pointing out this issue. On Windows, registry settings are converted to a temporary xcu file and this xcu file is merged with other configuration files (e.g. share\registry\onlineupdate.xcd)
Comment 3 Tamás Zolnai 2017-03-03 11:57:24 UTC
(In reply to Tamás Zolnai from comment #2)
> > @Tamás, assume you're poking at this, was there anything you need?
> 
> It was reported on a private channel, that online update settings can't be
> set via Windows registry. The example xcu file is a minimal test document
> pointing out this issue. On Windows, registry settings are converted to a
> temporary xcu file and this xcu file is merged with other configuration
> files (e.g. share\registry\onlineupdate.xcd)

Using this registrymodifications.xcu working on the same way as the temporary xcu file.
Comment 4 Commit Notification 2017-03-03 14:40:55 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8cfda7206139b3017346c435591c77c9741ba8ee

tdf#106283: Registry settings are not read properly on Windows

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-03-06 16:53:37 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=979e4b822cf03c8bde6885893c8c93f3a0e467f1

Revert "tdf#106283: Registry settings are not read properly on Windows"

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Stephan Bergmann 2017-03-06 16:57:14 UTC
(In reply to Tamás Zolnai from comment #0)
> <?xml version="1.0" encoding="UTF-8"?>
> <oor:items xmlns:oor="http://openoffice.org/2001/registry"
> xmlns:xs="http://www.w3.org/2001/XMLSchema"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
>   <item
> oor:path="/org.openoffice.Office.Jobs/Jobs/org.openoffice.Office.Jobs:
> Job['UpdateCheck']/Arguments">
>     <prop oor:name="AutoDownloadEnabled" oor:finalized="true">

This is a bug in configmgr/source/winreg.cxx.  For such extension props it must generate an oor:type attribute.

>       <value>false</value>
>     </prop>
>   </item>
>   <item
> oor:path="/org.openoffice.Office.Jobs/Jobs/org.openoffice.Office.Jobs:
> Job['UpdateCheck']/Arguments">
>     <prop oor:name="AutoCheckEnabled" oor:op="fuse" oor:type="xs:boolean"
> oor:finalized="true">
>       <value>false</value>
>     </prop>
>   </item>
> </oor:items>
Comment 7 Commit Notification 2017-03-08 07:57:51 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=145accd9a5b55070959d40c9314d870dffa5e4bc

tdf#106283: Registry settings are not read properly on Windows

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-03-10 12:47:50 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c095f036d4e0c61831178384e5a27a87c86363cb&h=libreoffice-5-3

tdf#106283: Registry settings are not read properly on Windows

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-03-13 14:45:24 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78c095f991629da487a9571f736f15c44648a85d&h=libreoffice-5-2

tdf#106283: Registry settings are not read properly on Windows

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.